Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -42,7 +42,9 @@ BuildRoot: %{_tmppath}/%{name}-%{version
 # Need binutils which support mffgpr and mftgpr >= 2.17.50.0.2-8
 BuildRequires: binutils >= 2.17.50.0.2-8
 BuildRequires: zlib-devel, gettext, dejagnu, bison, flex, texinfo, sharutils
+%if %{build_java}
 BuildRequires: /usr/bin/fastjar
+%endif
 # Make sure pthread.h doesn't contain __thread tokens
 # Make sure glibc supports stack protector
 # Make sure glibc supports DT_GNU_HASH
@@ -296,6 +298,7 @@ To instrument a non-threaded program, ad
 option to GCC and when linking add -lmudflap, for threaded programs
 also add -fmudflapth and -lmudflapth.
 
+%if %{build_java}
 %package java
 Summary: Java support for GCC
 Group: Development/Languages
@@ -363,6 +366,7 @@ Autoreq: true
 
 %description -n libgcj-src
 The Java(tm) runtime library sources for use in Eclipse.
+%endif
 
 %package -n cpp
 Summary: The C Preprocessor.
@@ -1019,6 +1023,7 @@ if [ $1 = 0 ]; then
     --info-dir=%{_infodir} %{_infodir}/gfortran.info.gz
 fi
 
+%if %{build_java}
 %post java
 /sbin/install-info \
   --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
@@ -1028,6 +1033,7 @@ if [ $1 = 0 ]; then
   /sbin/install-info --delete \
     --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
 fi
+%endif
 
 %post gnat
 /sbin/install-info \
@@ -1060,6 +1066,7 @@ fi
 
 %postun -n libobjc -p /sbin/ldconfig
 
+%if %{build_java}
 %post -n libgcj
 /sbin/ldconfig
 /sbin/install-info \
@@ -1072,6 +1079,7 @@ if [ $1 = 0 ]; then
 fi
 
 %postun -n libgcj -p /sbin/ldconfig
+%endif
 
 %post -n libgfortran -p /sbin/ldconfig
 
@@ -1459,12 +1467,12 @@ fi
 %{_prefix}/%{_lib}/pkgconfig/libgcj.pc
 %doc rpm.doc/boehm-gc/* rpm.doc/fastjar/* rpm.doc/libffi/*
 %doc rpm.doc/libjava/*
-%endif
 
 %files -n libgcj-src
 %defattr(-,root,root)
 %dir %{_prefix}/share/java
 %{_prefix}/share/java/src*.zip
+%endif
 
 %if %{build_ada}
 %files gnat
